import request from '@/utils/request'

// 查询设备管理列表
export function listPitDevice(query) {
  return request({
    url: '/device/pitDevice/list',
    method: 'get',
    params: query
  })
}

// 查询设备管理详细
export function getPitDevice(id) {
  return request({
    url: '/device/pitDevice/' + id,
    method: 'get'
  })
}

// 新增设备管理
export function addPitDevice(data) {
  return request({
    url: '/device/pitDevice',
    method: 'post',
    data: data
  })
}

// 修改设备管理
export function updatePitDevice(data) {
  return request({
    url: '/device/pitDevice',
    method: 'put',
    data: data
  })
}

// 删除设备管理
export function delPitDevice(id) {
  return request({
    url: '/device/pitDevice/' + id,
    method: 'delete'
  })
}
